Bug 1831786 - prusa-slicer-2.7.4 is available
Summary: prusa-slicer-2.7.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: prusa-slicer
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2252170 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-05 15:56 UTC by Upstream Release Monitoring
Modified: 2024-04-30 01:03 UTC (History)
9 users (show)

Fixed In Version: prusa-slicer-2.7.4-1.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-30 01:03:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
mostly complete patch to update to 2.3.0 (4.27 KB, patch)
2021-01-21 07:54 UTC, J. Alexander Jacocks
no flags Details | Diff
patch checksum for 2.3.0 (472 bytes, patch)
2021-01-21 07:55 UTC, J. Alexander Jacocks
no flags Details | Diff
specfile for PrusaSlicer 2.3.0 (19.73 KB, text/plain)
2021-04-08 01:18 UTC, J. Alexander Jacocks
no flags Details

Description Upstream Release Monitoring 2020-05-05 15:56:10 UTC
Latest upstream release: 2.3.0-alpha0
Current version/release in rawhide: 2.2.0-1.fc33
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 1 Upstream Release Monitoring 2020-10-17 12:28:28 UTC
Latest upstream release: 2.3.0-alpha1
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 2 Upstream Release Monitoring 2020-10-25 06:34:28 UTC
Latest upstream release: 2.3.0-alpha2
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 3 Upstream Release Monitoring 2020-11-05 05:13:03 UTC
Latest upstream release: 2.3.0-alpha3
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 4 Upstream Release Monitoring 2020-11-22 04:44:46 UTC
Latest upstream release: 2.3.0-alpha4
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 5 Upstream Release Monitoring 2020-11-28 21:49:49 UTC
Latest upstream release: 2.3.0-beta1
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 6 Upstream Release Monitoring 2020-12-05 19:38:53 UTC
Latest upstream release: 2.3.0-beta2
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 7 Upstream Release Monitoring 2020-12-12 22:17:18 UTC
Latest upstream release: 2.3.0-beta3
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 8 Upstream Release Monitoring 2020-12-18 05:52:48 UTC
Latest upstream release: 2.3.0-rc1
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 9 Upstream Release Monitoring 2020-12-22 20:02:34 UTC
Latest upstream release: 2.3.0-rc2
Current version/release in rawhide: 2.2.0-5.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 10 Upstream Release Monitoring 2021-01-08 18:23:26 UTC
Latest upstream release: 2.3.0-rc3
Current version/release in rawhide: 2.2.0-8.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 11 Upstream Release Monitoring 2021-01-12 00:24:35 UTC
Latest upstream release: 2.3.0
Current version/release in rawhide: 2.2.0-8.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 12 J. Alexander Jacocks 2021-01-21 07:54:20 UTC
Created attachment 1749309 [details]
mostly complete patch to update to 2.3.0

This patch allows PrusaSlicer 2.3.0 to build, deals with the new gcodeviewer app, and updates versions.

It seems to crash on execution, for me, though. Not sure if this is the Wayland issue, or not.

I'll look at this further, later today.

Comment 13 J. Alexander Jacocks 2021-01-21 07:55:00 UTC
Created attachment 1749310 [details]
patch checksum for 2.3.0

Comment 14 Gonçalo Camelo Neves Pereira 2021-01-30 03:40:36 UTC
@ajacocks Do you have updates on this?

Comment 15 Jason Tibbitts 2021-01-30 03:43:14 UTC
Sadly because of the pandemic I am mostly unable to access my office printers and I have none at home.  So I've not really been able to devote any time to getting this updated, though I'll see what I can come up with.

Comment 16 Gonçalo Camelo Neves Pereira 2021-01-30 03:57:07 UTC
(In reply to Jason Tibbitts from comment #15)
> Sadly because of the pandemic I am mostly unable to access my office
> printers and I have none at home.  So I've not really been able to devote
> any time to getting this updated, though I'll see what I can come up with.

Ok, thanks for the update! I can help test with my printer here. Have you solved all the crash issues you were having?

Comment 17 Jason Tibbitts 2021-01-30 17:57:19 UTC
I'm not the person who was having crash issues; I'm one of the package maintainers.  I was just providing some info as to why I've not been active in updating this package.

Comment 18 Stepan Broz 2021-01-31 22:50:34 UTC
I can test a new build too once it's available.

Comment 19 Nick Krichevsky 2021-02-12 21:55:30 UTC
Is there an update on this? If a build is pushed to testing I'm more than happy to test it. 

As an aside, I've been using 2.3 outside of my package manager without a hitch.

Comment 20 Stepan Broz 2021-03-17 12:33:29 UTC
Can we get a prusa-slicer rebase in f34 at least? I don't think having access to a printer is required for that.

Please let me know how can I help.

Comment 21 Upstream Release Monitoring 2021-03-17 23:56:41 UTC
Latest upstream release: 2.4.0-alpha0
Current version/release in rawhide: 2.2.0-11.fc34
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 22 Miro Hrončok 2021-03-26 10:32:25 UTC
Since this was repurposed to 2.4.0alpha, let's move 2.3.0 effort to bz1943422.

Comment 23 J. Alexander Jacocks 2021-04-07 14:14:38 UTC
Sorry, all. I'm not sure why, but I wasn't getting notified of these updates to the bug. I'll take a look and see what needs to be done.

Comment 24 J. Alexander Jacocks 2021-04-08 01:18:36 UTC
Created attachment 1770094 [details]
specfile for PrusaSlicer 2.3.0

This is a working build for prusa-slicer 2.3.0

Comment 25 J. Alexander Jacocks 2021-04-08 01:21:36 UTC
I'll attach the 2.3.0 build to bz1943422. I'll also base the 2.4.0 alpha build on it.

Comment 26 J. Alexander Jacocks 2021-04-15 19:55:05 UTC
Issue https://github.com/prusa3d/PrusaSlicer/issues/6367 opened for compilation errors with gcc 11 on F34:

/home/ajacocks/rpmbuild/BUILD/PrusaSlicer-version_2.4.0-alpha0/src/libslic3r/Format/3mf.cpp:2390:102: error: expected primary-expression before '&' token
 2390 |     bool _3MF_Exporter::_add_mesh_to_object_stream(mz_zip_writer_staged_context &context, ModelObject& object, VolumeToOffsetsMap& volumes_offsets)
      |                                                                                                      ^
/home/ajacocks/rpmbuild/BUILD/PrusaSlicer-version_2.4.0-alpha0/src/libslic3r/Format/3mf.cpp:2390:104: error: 'object' was not declared in this scope; did you mean 'ObjectID'?
 2390 |     bool _3MF_Exporter::_add_mesh_to_object_stream(mz_zip_writer_staged_context &context, ModelObject& object, VolumeToOffsetsMap& volumes_offsets)
      |                                                                                                        ^~~~~~
      |                                                                                                        ObjectID
/home/ajacocks/rpmbuild/BUILD/PrusaSlicer-version_2.4.0-alpha0/src/libslic3r/Format/3mf.cpp:2390:130: error: expected primary-expression before '&' token
 2390 |     bool _3MF_Exporter::_add_mesh_to_object_stream(mz_zip_writer_staged_context &context, ModelObject& object, VolumeToOffsetsMap& volumes_offsets)
      |                                                                                                                                  ^
/home/ajacocks/rpmbuild/BUILD/PrusaSlicer-version_2.4.0-alpha0/src/libslic3r/Format/3mf.cpp:2390:132: error: 'volumes_offsets' was not declared in this scope; did you mean 'VolumeToOffsetsMap'?
 2390 |     bool _3MF_Exporter::_add_mesh_to_object_stream(mz_zip_writer_staged_context &context, ModelObject& object, VolumeToOffsetsMap& volumes_offsets)
      |                                                                                                                                    ^~~~~~~~~~~~~~~
      |                                                                                                                                    VolumeToOffsetsMap
/home/ajacocks/rpmbuild/BUILD/PrusaSlicer-version_2.4.0-alpha0/src/libslic3r/Format/3mf.cpp:2390:147: error: expression list treated as compound expression in initializer [-fpermissive]
 2390 |     bool _3MF_Exporter::_add_mesh_to_object_stream(mz_zip_writer_staged_context &context, ModelObject& object, VolumeToOffsetsMap& volumes_offsets)
      |                                                                                                                                                   ^
gmake[2]: *** [src/libslic3r/CMakeFiles/libslic3r.dir/build.make:410: src/libslic3r/CMakeFiles/libslic3r.dir/Format/3mf.cpp.o] Error 1
gmake[2]: *** Waiting for unfinished jobs....
gmake[2]: Leaving directory '/home/ajacocks/rpmbuild/BUILD/PrusaSlicer-version_2.4.0-alpha0/x86_64-redhat-linux-gnu'
gmake[1]: *** [CMakeFiles/Makefile2:1172: src/libslic3r/CMakeFiles/libslic3r.dir/all] Error 2
gmake[1]: Leaving directory '/home/ajacocks/rpmbuild/BUILD/PrusaSlicer-version_2.4.0-alpha0/x86_64-redhat-linux-gnu'
gmake: *** [Makefile:163: all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.zAC7iV (%build)

Comment 27 Upstream Release Monitoring 2021-09-01 17:15:44 UTC
Latest upstream release: 2.4.0-alpha1
Current version/release in rawhide: 2.3.1-5.fc35
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 28 Upstream Release Monitoring 2021-09-24 22:07:48 UTC
Latest upstream release: 2.4.0-alpha2
Current version/release in rawhide: 2.3.1-5.fc35
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 29 Upstream Release Monitoring 2021-10-01 07:48:02 UTC
Latest upstream release: 2.4.0-alpha3
Current version/release in rawhide: 2.3.1-5.fc35
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 30 Upstream Release Monitoring 2021-10-24 03:00:13 UTC
Latest upstream release: 2.4.0-beta1
Current version/release in rawhide: 2.3.1-5.fc35
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 31 Upstream Release Monitoring 2021-11-27 04:23:02 UTC
Latest upstream release: 2.4.0-beta2
Current version/release in rawhide: 2.3.1-5.fc35
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 32 Upstream Release Monitoring 2021-12-05 02:18:18 UTC
Latest upstream release: 2.4.0-beta3
Current version/release in rawhide: 2.3.1-5.fc35
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/20643/

Comment 33 Upstream Release Monitoring 2021-12-12 01:03:34 UTC
Latest upstream release: 2.4.0-beta4
Current version/release in rawhide: 2.3.3-3.fc36
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/

Comment 34 Upstream Release Monitoring 2021-12-15 12:31:02 UTC
Latest upstream release: 2.4.0-rc
Current version/release in rawhide: 2.3.3-3.fc36
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/

Comment 35 Upstream Release Monitoring 2021-12-17 19:37:04 UTC
Latest upstream release: 2.4.0-rc2
Current version/release in rawhide: 2.3.3-3.fc36
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/

Comment 36 Upstream Release Monitoring 2021-12-21 04:47:31 UTC
Latest upstream release: 2.4.0
Current version/release in rawhide: 2.3.3-3.fc36
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/

Comment 37 Upstream Release Monitoring 2022-01-14 22:42:09 UTC
Latest upstream release: 2.4.1-alpha0
Current version/release in rawhide: 2.3.3-3.fc36
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/

Comment 38 Upstream Release Monitoring 2022-02-02 03:28:38 UTC
Latest upstream release: 2.4.1-beta1
Current version/release in rawhide: 2.3.3-3.fc36
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/

Comment 39 Upstream Release Monitoring 2022-02-09 03:02:01 UTC
Latest upstream release: 2.5.0-alpha0
Current version/release in rawhide: 2.3.3-3.fc36
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/

Comment 40 Upstream Release Monitoring 2022-05-20 11:35:17 UTC
Latest upstream release: 2.6.0-alpha0
Current version/release in rawhide: 2.4.0-4.fc37
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/

Comment 41 Upstream Release Monitoring 2022-09-07 23:38:10 UTC
Releases retrieved: 2.6.0-alpha1
Upstream release that is considered latest: 2.6.0-alpha1
Current version/release in rawhide: 2.4.2-2.fc37
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 42 Upstream Release Monitoring 2023-01-31 19:45:46 UTC
Releases retrieved: 2.6.0-alpha2
Upstream release that is considered latest: 2.6.0-alpha2
Current version/release in rawhide: 2.4.2-6.fc38
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 43 Upstream Release Monitoring 2023-02-04 22:43:33 UTC
Releases retrieved: 2.6.0-alpha3
Upstream release that is considered latest: 2.6.0-alpha3
Current version/release in rawhide: 2.4.2-7.fc38
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 44 Upstream Release Monitoring 2023-02-19 12:06:50 UTC
Releases retrieved: 2.6.0-alpha4
Upstream release that is considered latest: 2.6.0-alpha4
Current version/release in rawhide: 2.4.2-7.fc38
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 45 Upstream Release Monitoring 2023-03-07 20:15:49 UTC
Releases retrieved: 2.6.0-alpha5
Upstream release that is considered latest: 2.6.0-alpha5
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 46 Upstream Release Monitoring 2023-03-15 19:34:08 UTC
Releases retrieved: 2.5.1
Upstream release that is considered latest: 2.6.0-alpha5
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 47 Upstream Release Monitoring 2023-03-30 22:41:59 UTC
Releases retrieved: 2.5.2
Upstream release that is considered latest: 2.6.0-alpha5
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 48 Upstream Release Monitoring 2023-04-01 06:48:07 UTC
Releases retrieved: 2.6.0-alpha6
Upstream release that is considered latest: 2.6.0-alpha6
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 49 Upstream Release Monitoring 2023-05-14 00:16:26 UTC
Releases retrieved: 2.6.0-beta1
Upstream release that is considered latest: 2.6.0-beta1
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 50 Upstream Release Monitoring 2023-05-17 13:43:39 UTC
Releases retrieved: 2.6.0-beta2
Upstream release that is considered latest: 2.6.0-beta2
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 51 Upstream Release Monitoring 2023-05-27 07:54:56 UTC
Releases retrieved: 2.6.0-beta3
Upstream release that is considered latest: 2.6.0-beta3
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 52 Upstream Release Monitoring 2023-06-03 10:43:49 UTC
Releases retrieved: 2.6.0-beta4
Upstream release that is considered latest: 2.6.0-beta4
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 53 Upstream Release Monitoring 2023-06-10 12:49:27 UTC
Releases retrieved: 2.6.0-rc1
Upstream release that is considered latest: 2.6.0-rc1
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 54 Upstream Release Monitoring 2023-06-15 22:46:16 UTC
Releases retrieved: 2.6.0-rc2
Upstream release that is considered latest: 2.6.0-rc2
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 55 Upstream Release Monitoring 2023-06-21 09:12:52 UTC
Releases retrieved: 2.6.0
Upstream release that is considered latest: 2.6.0
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 56 Upstream Release Monitoring 2023-08-23 08:41:08 UTC
Releases retrieved: 2.6.1-rc1
Upstream release that is considered latest: 2.6.1-rc1
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 57 Upstream Release Monitoring 2023-09-03 03:20:49 UTC
Releases retrieved: 2.6.1-rc2
Upstream release that is considered latest: 2.6.1-rc2
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 58 Upstream Release Monitoring 2023-09-06 20:40:10 UTC
Releases retrieved: 2.6.1
Upstream release that is considered latest: 2.6.1
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 59 Upstream Release Monitoring 2023-10-21 11:49:01 UTC
Releases retrieved: 2.7.0-alpha1
Upstream release that is considered latest: 2.7.0-alpha1
Current version/release in rawhide: 2.4.2-9.fc39
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 60 Upstream Release Monitoring 2023-11-12 05:51:15 UTC
Releases retrieved: 2.7.0-beta1
Upstream release that is considered latest: 2.7.0-beta1
Current version/release in rawhide: 2.4.2-11.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 61 Upstream Release Monitoring 2023-11-17 08:23:11 UTC
Releases retrieved: 2.7.0-rc1
Upstream release that is considered latest: 2.7.0-rc1
Current version/release in rawhide: 2.4.2-11.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 62 Upstream Release Monitoring 2023-11-25 02:05:08 UTC
Releases retrieved: 2.7.0-rc2, 2.7.0
Upstream release that is considered latest: 2.7.0
Current version/release in rawhide: 2.4.2-11.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 63 Miro Hrončok 2023-11-30 20:05:04 UTC
*** Bug 2252170 has been marked as a duplicate of this bug. ***

Comment 64 Upstream Release Monitoring 2023-12-16 02:59:49 UTC
Releases retrieved: 2.7.1
Upstream release that is considered latest: 2.7.1
Current version/release in rawhide: 2.4.2-11.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 65 Jan Pazdziora 2024-01-29 09:30:12 UTC
For the record, 2.5.2 update https://bodhi.fedoraproject.org/updates/FEDORA-2024-4cccc886af is now available for Fedora 39.

Comment 66 Pete Zaitcev 2024-01-29 20:26:12 UTC
The 2.5.2 adds a barebones support for Mk4, so there's that.
But I'm pretty sure 2.6.0 is needed for organic supports and
the input shaper.

Comment 67 Jan Pazdziora 2024-01-29 21:41:31 UTC
Update to 2.6.1 will come to rawhide (and Fedora 40) via https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/25. I'm currently waiting for the rawhide content at https://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/p/ to get the 2.5.2 rpm to do some rudimentary tests, and then I'll do 2.6.* builds there.

Comment 68 Jan Pazdziora 2024-02-01 14:42:25 UTC
The 2.6.1 is now in Fedora rawhide repository (or at least in the master https://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/p/).

Comment 69 Upstream Release Monitoring 2024-02-10 16:35:17 UTC
Releases retrieved: 2.7.2-alpha2
Upstream release that is considered latest: 2.7.2-alpha2
Current version/release in rawhide: 2.6.1-1.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 70 Upstream Release Monitoring 2024-02-21 08:44:54 UTC
Releases retrieved: 2.7.2-beta1
Upstream release that is considered latest: 2.7.2-beta1
Current version/release in rawhide: 2.6.1-1.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 71 Upstream Release Monitoring 2024-02-23 23:20:01 UTC
Releases retrieved: 2.7.2-rc1
Upstream release that is considered latest: 2.7.2-rc1
Current version/release in rawhide: 2.6.1-1.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 72 Upstream Release Monitoring 2024-02-28 05:59:25 UTC
Releases retrieved: 2.7.2-rc2
Upstream release that is considered latest: 2.7.2-rc2
Current version/release in rawhide: 2.6.1-1.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 73 Upstream Release Monitoring 2024-03-02 02:49:30 UTC
Releases retrieved: 2.7.2
Upstream release that is considered latest: 2.7.2
Current version/release in rawhide: 2.6.1-1.fc40
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 74 Upstream Release Monitoring 2024-03-21 04:11:35 UTC
Releases retrieved: 2.7.3-alpha1
Upstream release that is considered latest: 2.7.3-alpha1
Current version/release in rawhide: 2.6.1-4.fc41
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 75 Jan Pazdziora 2024-03-26 09:27:58 UTC
Update to 2.7.0 has been built to rawhide (https://bodhi.fedoraproject.org/updates/FEDORA-2024-dbfc6af416). I'd appreciate feedback especially about any regressions.

We have updates to 2.7.1 an 2.7.2 prepared in https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/30 and https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/31 so we should be able to push them to rawhide fairly quickly as well.

As for Fedora 40, I'd like to give 2.7 a git of time in rawhide before bringing it to the next stable release.

Of course, any opinions about this plan are welcome.

Comment 76 Jan Pazdziora 2024-03-26 09:31:47 UTC
If someone knows how to turn off these notifications about pre-releases (at least https://release-monitoring.org/project/20643/ is able to identify them as such), that would be great to reduce the noise.

Comment 77 Upstream Release Monitoring 2024-03-26 19:30:09 UTC
Releases retrieved: 2.7.3-beta1
Upstream release that is considered latest: 2.7.3-beta1
Current version/release in rawhide: 2.7.0-3.fc41
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 78 Upstream Release Monitoring 2024-03-28 14:39:12 UTC
Releases retrieved: 2.7.3-rc1
Upstream release that is considered latest: 2.7.3-rc1
Current version/release in rawhide: 2.7.0-3.fc41
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 79 Upstream Release Monitoring 2024-03-29 19:22:17 UTC
Releases retrieved: 2.7.3
Upstream release that is considered latest: 2.7.3
Current version/release in rawhide: 2.7.0-3.fc41
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 80 Upstream Release Monitoring 2024-04-05 22:28:36 UTC
Releases retrieved: 2.7.4
Upstream release that is considered latest: 2.7.4
Current version/release in rawhide: 2.7.0-4.fc41
URL: https://github.com/prusa3d/PrusaSlicer

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/20643/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/prusa-slicer

Comment 81 Jan Pazdziora 2024-04-08 13:09:50 UTC
Update to 2.7.1 has been built to rawhide (https://bodhi.fedoraproject.org/updates/FEDORA-2024-6f0bb2af87). I'd appreciate feedback especially about any regressions.

The next update we have in the pipeline is 2.7.2 via https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/31.

Comment 82 Jan Pazdziora 2024-04-11 17:19:07 UTC
The 2.7.1 is now in Fedora rawhide.

Update to 2.7.2 has been built to rawhide (https://bodhi.fedoraproject.org/updates/FEDORA-2024-f14056502e).

The next updates we have in the pipeline are 2.7.3 (https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/32) and 2.7.4 (https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/33). I plan to build and push them next week unless we have reports of problem with the 2.7.1 or 2.7.2.

Comment 83 Jan Pazdziora 2024-04-14 13:20:53 UTC
The 2.7.2 is now in Fedora rawhide.

Update to 2.7.3 has been built to rawhide (https://bodhi.fedoraproject.org/updates/FEDORA-2024-a077e39034).

The next and last update we have currently in the pipeline is 2.7.4 (https://src.fedoraproject.org/rpms/prusa-slicer/pull-request/33).

Comment 84 Fedora Update System 2024-04-17 08:25:05 UTC
FEDORA-2024-56218e80d9 (prusa-slicer-2.7.4-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-56218e80d9

Comment 85 Jan Pazdziora 2024-04-17 08:25:43 UTC
The 2.7.3 is now in Fedora rawhide.

Update to 2.7.4 has been built to rawhide (https://bodhi.fedoraproject.org/updates/FEDORA-2024-9cd73cf981).

Update to 2.7.4 has also been built to Fedora 40 (https://bodhi.fedoraproject.org/updates/FEDORA-2024-56218e80d9). Testing and comments welcome. I plan to push the update to Fedora 40 after the 2.7.4 version got to rawhide, after GA so that the 2.6.1-2.fc40 is part of the release and people can stay with it / downgrade to it should 2.7.4 turn out problematic. (I assume the Fedora 40 GA scope is frozen now (apart from blockers) so I wouldn't be able to rush 2.7.4 in anyway.)

Comment 86 Fedora Update System 2024-04-18 01:03:47 UTC
FEDORA-2024-56218e80d9 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-56218e80d9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-56218e80d9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 87 Jan Pazdziora 2024-04-23 16:22:03 UTC
Fedora 40 is out, it's time to upgrade and test the prusa-slicer errata, to either push to or stop me from moving the errata to Fedora 40 updates.

Comment 88 Jan Pazdziora 2024-04-29 08:13:24 UTC
I've now submitted the 2.7.4-1.fc40 errata to stable updates of Fedora 40.

Comment 89 Fedora Update System 2024-04-30 01:03:40 UTC
FEDORA-2024-56218e80d9 (prusa-slicer-2.7.4-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.